update-initramfs complains of missing amdgpu firmware files

Bug #1873325 reported by Paweł Ciechomski on 2020-04-16
90
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Focal
Low
Unassigned

Bug Description

SRU Justification

Impact: amdgpu references firmware files in modinfo which have not been supplied to linux-firmware. This causes update-initramfs to generate "Possible missing firmware" warnings.

Fix: Since the firmware is not available, all we can do is remove the files from modinfo.

Test Case: Confirm that update-initramfs no longer produces the warnings.

Regression Potential: Low. If someone had managed to obtain these files they will no longer be added to the initramfs, potentially causing regressions for these users. This would be an atypical situation.

---

Ubuntu 20.04 during initramfs update reports missing firmware files:
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu

Kernel: 5.4.0-24-generic
linux-firmware: 1.187

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Blastoff (wolph) wrote :
Blastoff (wolph) on 2020-04-23
tags: added: regression-update
Blastoff (wolph) on 2020-04-23
tags: added: regression-release
Steve Langasek (vorlon) on 2020-04-23
tags: removed: regression-update

Confirmed with Kernel 5.4.0-28-generic: ( Xubuntu 20.04 LTS )
linux-firmware: 1.187

update-initramfs: Generating /boot/initrd.img-5.4.0-28-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu
I: The initramfs will attempt to resume from /dev/dm-2
I: (/dev/mapper/vgxubuntu-swap_1)
I: Set the RESUME variable to override this.

Paweł Ciechomski's launchapad seems deactivated. I can follow up with any testing or logs in case the maintainers need it.

Harald Leinders (hleinders) wrote :

I'm also affected by ths bug. This may also be connected to bug #1869053
(https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1869053), which happens on the same box during install.

Graphics card is an older Radeon R9.

Apport and lspci output is attached.

Harald Leinders (hleinders) wrote :

With the new kernel 5.4.0.29 the missing modules are foubd obviusly, so the Installer runs well and finishes normally. So, also Bug 1873325 was fixed for me, just tested on the same HW with a fresh install.

Harald Leinders (hleinders) wrote :

Sorry, I meant Bug #1869053 of course.

tarun koyalwar (tkoyalwar) wrote :

update-initramfs: Generating /boot/initrd.img-5.4.0-29-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu

issue still persists now on Ubuntu 20.04LTS also files remain same and unupdated in
https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git

Seth Forshee (sforshee) wrote :

AMD has not released this firmware to linux-firmware. For now all we can do is remove the files from modinfo so that update-initramfs will stop complaining.

affects: linux-firmware (Ubuntu) → linux (Ubuntu)
Seth Forshee (sforshee) on 2020-05-15
description: updated
Harald Leinders (hleinders) wrote :

I can confirm that a clean install on a newly formatted device on a box (which was affected by this problem) runs fine now.

The used box is an older intel i7-2600 CPU (8 cores) with an also older Radeon R9 285/380.

The amdgpu module _is_ loaded as lsmod shows, but the installation itself and the update to 5.4.0-29-generic by the installer runs without any error by update-initramfs

herlangga (herlangga72) wrote :

i had some problem. my output different
sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-29-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu
I: The initramfs will attempt to resume from /dev/sdb5
I: (UUID=d9114d0e-06ef-4a92-b55c-663c6517f953)
I: Set the RESUME variable to override this.

herlangga (herlangga72) wrote :

and i use mesa 20.0.6 that builded by ppa:kisak-b is this related??

Harald Leinders (hleinders) wrote :

I can confirm THAT also:

root@Scotty:~# update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-29-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu
I: The initramfs will attempt to resume from /dev/sdc3
I: (UUID=0d56817f-d127-457b-b6e1-5fd642a9520b)
I: Set the RESUME variable to override this.

So this doesn't has to do anything with 3rd-Party-PPA's because I don't have any. It's after a fresh install.

BUT update-initramfs doesn't throw any error anymore and runs through to the end. There are only the warnings left.

The system works well with this, after a reboot there are no problems despite these warnings:

root@Scotty:/boot# ll
insgesamt 189597
drwxr-xr-x 4 root root 4096 Mai 18 08:08 ./
drwxr-xr-x 20 root root 4096 Mai 16 17:27 ../
-rw-r--r-- 1 root root 237718 Apr 20 18:33 config-5.4.0-26-generic
-rw-r--r-- 1 root root 237718 Apr 29 15:34 config-5.4.0-29-generic
drwx------ 3 root root 512 Jan 1 1970 efi/
drwxr-xr-x 4 root root 4096 Mai 16 17:33 grub/
lrwxrwxrwx 1 root root 27 Mai 16 17:33 initrd.img -> initrd.img-5.4.0-29-generic
-rw-r--r-- 1 root root 80142634 Mai 16 17:31 initrd.img-5.4.0-26-generic
-rw-r--r-- 1 root root 80142137 Mai 18 08:08 initrd.img-5.4.0-29-generic
lrwxrwxrwx 1 root root 27 Mai 16 17:25 initrd.img.old -> initrd.img-5.4.0-26-generic
-rw-r--r-- 1 root root 182704 Feb 14 00:09 memtest86+.bin
-rw-r--r-- 1 root root 184380 Feb 14 00:09 memtest86+.elf
-rw-r--r-- 1 root root 184884 Feb 14 00:09 memtest86+_multiboot.bin
-rw------- 1 root root 4736015 Apr 20 18:33 System.map-5.4.0-26-generic
-rw------- 1 root root 4736015 Apr 29 15:34 System.map-5.4.0-29-generic
lrwxrwxrwx 1 root root 24 Mai 16 17:33 vmlinuz -> vmlinuz-5.4.0-29-generic
-rw-r--r-- 1 root root 11657976 Apr 23 09:55 vmlinuz-5.4.0-26-generic
-rw------- 1 root root 11657976 Apr 29 15:54 vmlinuz-5.4.0-29-generic
lrwxrwxrwx 1 root root 24 Mai 16 17:33 vmlinuz.old -> vmlinuz-5.4.0-26-generic
root@Schrotty:/boot# uname -a
Linux Scotty 5.4.0-29-generic #33-Ubuntu SMP Wed Apr 29 14:32:27 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
root@Scotty:/boot# date
Mo 18. Mai 08:14:51 CEST 2020

The initrd.img-5.4.0-29-generic was built successfully an works well and the amdgpu is loaded, if it works or not.

Stefan Bader (smb) on 2020-05-19
Changed in linux (Ubuntu Focal):
status: New → Triaged
importance: Undecided → Medium
importance: Medium → Low
Isaac Andrade (andradeii) wrote :
Download full text (3.2 KiB)

I see this when running sudo apt dist-upgrade.

$ uname -a

Linux andradeii 5.4.0-7629-generic #33~1589834512~20.04~ff6e79e-Ubuntu SMP Mon May 18 23:29:32 UTC x86_64 x86_64 x86_64 GNU/Linux

$ sudo apt dist-upgrade

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  system76-power
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 435 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://ppa.launchpad.net/system76/pop/ubuntu focal/main amd64 system76-power amd64 1.1.4~1590091483~20.04~15264d3 [435 kB]
Fetched 435 kB in 1s (441 kB/s)
(Reading database ... 257591 files and directories currently installed.)
Preparing to unpack .../system76-power_1.1.4~1590091483~20.04~15264d3_amd64.deb ...
Unpacking system76-power (1.1.4~1590091483~20.04~15264d3) over (1.1.4~1589409407~20.04~fbef7a2) ...
Setting up system76-power (1.1.4~1590091483~20.04~15264d3) ...
Processing triggers for dbus (1.12.16-2ubuntu2) ...
Processing triggers for initramfs-tools (0.136ubuntu6) ...
update-initramfs: Generating /boot/initrd.img-5.4.0-7629-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu
kernelstub.Config : INFO Looking for configuration...
kernelstub : INFO System information:

    OS:..................Pop!_OS 20.04
    Root partition:....../dev/sda7
    Root FS UUID:........37941144-436e-4d7c-800a-ecae219596c7
    ESP Path:............/boot/efi
    ESP Partition:......./dev/sda5
    ESP Partition #:.....5
    NVRAM entry #:.......-1
    Boot Variable #:.....0000
    Kernel Boot Options:.quiet loglevel=0 systemd.show_status=false splash
    Kernel Image Path:.../boot/vmlinuz-5.4.0-7629-generic
    Initrd Image Path:.../boot/initrd.img-5.4.0-7629-generic
    Force-overwrite:.....False

kernelstub.Installer : INFO Copying Kernel into ESP
kernelstub.Installer : INFO Copying initrd.img into ESP
kernelstub.Installer : INFO Setting up loader.conf configuration
kernelstub.Installer : INFO Making entry file for Pop!_OS
kernelstub.Installer : INFO Backing up old kernel
kernelstub.Installer : INFO Making entry file for Pop!_OS

But the modules seem to be loaded anyways:

$ lsmod | rg amd

edac_mce_amd 32768 0
kvm_amd 98304 0
kvm 663552 1 kvm_amd
ccp 86016 7 kvm_amd
amdgpu 4575232 42
amd_iommu_v2 20480 1 amdgpu
gpu_sched 32768 1 amdgpu
i2c_algo_bit 16384 1 amdgpu
ttm 106496 1 amdgpu
drm_kms_helper 184320 1 amdgpu
drm 491520 21 gpu_sched,drm_kms_helper,amdgpu,...

Read more...

Confirmed with 5.4.0-31

update-initramfs: Generating /boot/initrd.img-5.4.0-31-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu

Silicomancer (private-g) wrote :

I got the same when installing uswsusp.

Changed in linux (Ubuntu Focal):
status: Triaged → Fix Committed
Oscar Parada (oparada1988) wrote :

can confirm its effecting my 20.04 install as well

Billy Dunn (bwdunn) wrote :

Confirm affecting Ubuntu 20.04:

---

Processing triggers for initramfs-tools (0.136ubuntu6) ...
update-initramfs: Generating /boot/initrd.img-5.4.0-33-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu

---

OS: Ubuntu 20.04 LTS x86_64
Host: NUC8i7HVK J71485-504
Kernel: 5.4.0-29-generic
CPU: Intel i7-8809G (8) @ 4.200GHz
GPU: AMD ATI Radeon RX Vega M GH
Memory: 5031MiB / 64282MiB

MM (bmn.one) wrote :

its effecting my 20.04 install as well
5.4.0-33-generic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Harry Skelton (skeltonh) wrote :

This is plaguing my system as well. Doing updates gives the errors. Not sure I want to perform a get:clone due to the software I have loaded and that it seems to be an issue with the new kernel.

update-initramfs: Generating /boot/initrd.img-5.4.0-37-generic
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments